org.apache.poi.sl.usermodel

## Class Insets2D

- java.lang.Object
- - org.apache.poi.sl.usermodel.Insets2D

- All Implemented Interfaces:
    java.lang.Cloneable

      public final class Insets2D
      extends java.lang.Object
      implements java.lang.Cloneable

  This is a replacement for `Insets` which works on doubles instead of ints

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `bottom` The inset from the bottom.
    `double` | `left` The inset from the left.
    `double` | `right` The inset from the right.
    `double` | `top` The inset from the top.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Insets2D(double top, double left, double bottom, double right)` Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets2D` | `clone()` Create a copy of this object.
    `boolean` | `equals(java.lang.Object obj)` Checks whether two insets objects are equal.
    `int` | `hashCode()` Returns the hash code for this Insets.
    `void` | `set(double top, double left, double bottom, double right)` Set top, left, bottom, and right to the specified values
    `java.lang.String` | `toString()` Returns a string representation of this `Insets` object.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### top

          public double top

      The inset from the top. This value is added to the Top of the rectangle to yield a new location for the Top.

    - #### left

          public double left

      The inset from the left. This value is added to the Left of the rectangle to yield a new location for the Left edge.

    - #### bottom

          public double bottom

      The inset from the bottom. This value is subtracted from the Bottom of the rectangle to yield a new location for the Bottom.

    - #### right

          public double right

      The inset from the right. This value is subtracted from the Right of the rectangle to yield a new location for the Right edge.

  - ### Constructor Detail

    - #### Insets2D

          public Insets2D(double top,
                          double left,
                          double bottom,
                          double right)

      Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.
      Parameters:
        `top` - the inset from the top.
        `left` - the inset from the left.
        `bottom` - the inset from the bottom.
        `right` - the inset from the right.

  - ### Method Detail

    - #### set

          public void set(double top,
                          double left,
                          double bottom,
                          double right)

      Set top, left, bottom, and right to the specified values
      Parameters:
        `top` - the inset from the top.
        `left` - the inset from the left.
        `bottom` - the inset from the bottom.
        `right` - the inset from the right.
      Since:
        1.5

    - #### equals

          public boolean equals(java.lang.Object obj)

      Checks whether two insets objects are equal. Two instances of `Insets` are equal if the four integer values of the fields `top`, `left`, `bottom`, and `right` are all equal.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if the two insets are equal; otherwise `false`.
      Since:
        JDK1.1

    - #### hashCode

          public int hashCode()

      Returns the hash code for this Insets.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a hash code for this Insets.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this `Insets` object. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this `Insets` object.

    - #### clone

          public Insets2D clone()

      Create a copy of this object.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        a copy of this `Insets2D` object.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.